Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class ServiceContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext
          com.servingxml.app.ServiceContext

All Implemented Interfaces:
  RuntimeContext

Direct Known Subclasses:
  DefaultServiceContext

    public abstract class ServiceContext

extends AbstractRuntimeContext
implements RuntimeContext

A `ServiceContext` augments the `RuntimeContext` interface with additional methods that provide information about the context of a request.

Constructor Summary
`ServiceContext(Logger logger)`

Method Summary
`abstract AppContext` | `getAppContext()`
`static ServiceContext` | `getDefault()`
`abstract java.lang.String` | `getLang()`
`abstract java.util.Locale` | `getLocale()`
`abstract MutableNameTable` | `getNameTable()`
`abstract javax.xml.transform.ErrorListener` | `getTransformerErrorListener()`
`abstract javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`
`abstract UriResolverFactory` | `getUriResolverFactory()`
`abstract java.lang.String` | `getUser()`

Methods inherited from class com.servingxml.util.system.AbstractRuntimeContext
`error, notice, printStackTrace, trace, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, getAppName, notice, printStackTrace, trace, warning`

Constructor Detail

### ServiceContext

    public ServiceContext(Logger logger)

Method Detail

### getAppContext

    public abstract AppContext getAppContext()

### getNameTable

    public abstract MutableNameTable getNameTable()

### getUser

    public abstract java.lang.String getUser()

  Specified by:
    `getUser` in interface `RuntimeContext`

### getUriResolverFactory

    public abstract UriResolverFactory getUriResolverFactory()

### getTransformerErrorListener

    public abstract javax.xml.transform.ErrorListener getTransformerErrorListener()

### getLang

    public abstract java.lang.String getLang()

### getLocale

    public abstract java.util.Locale getLocale()

### getTransformerFactory

    public abstract javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

### getDefault

    public static ServiceContext getDefault()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD